Bug 1290116 - problem with bridged network
problem with bridged network
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 11:50 EST by gabriel
Modified: 2016-07-19 14:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:56:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gabriel 2015-12-09 11:50:58 EST
Description of problem: in the syslog I get the message "kernel: br0: received packet on em1 with own address as source address"

# cat /etc/sysconfig/network-scripts/ifcfg-em1 
HWADDR=38:60:77:5A:06:8A
TYPE=Ethernet
NAME=em1
UUID=54c90f66-fc5d-47e0-be81-1777b6ca0cfc
ONBOOT=yes
BRIDGE=br0
BOOTPROTO=none
IPV6INIT=no
USERCTL=no

# cat /etc/sysconfig/network-scripts/ifcfg-br0 
TYPE=Bridge
BOOTPROTO=dhcp
ONBOOT=yes
IPV6INIT=no
USERCTL=no
DEVICE=br0
STP=yes
BRIDGING_OPTS=priority=32768
DEFROUTE=yes
PEERDNS=yes
PEERROUTES=yes
IPV4_FAILURE_FATAL=no
NAME=br0
UUID=d2d68553-f97e-7549-7a26-b34a26f29318

no network loop, no problem in switch, STP enabled
the bridge is configured for use whit libvirt, but the problem persist with guest off

in another PC with fedora 22 (and connected to another switch), and with two interfaces bridged, see same problem (only in first interface)
p4p1 -> br0
eth1 -> br1
messages: br0: received packet on p4p1 with own address as source address


How reproducible: always


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 gabriel 2015-12-09 12:11:30 EST
uname -a
Linux jefatura-23.central.mds 4.2.6-201.fc22.x86_64 #1 SMP Tue Nov 24 18:42:39 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


ifconfig 
br0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 10.1.6.23  netmask 255.255.255.0  broadcast 10.1.6.255
        inet6 fe80::3a60:77ff:fe5a:68a  prefixlen 64  scopeid 0x20<link>                    
        ether 38:60:77:5a:06:8a  txqueuelen 0 (Ethernet)                                   
        RX packets 1041159  bytes 855788218 (816.1 MiB)                               
        RX errors 0  dropped 0  overruns 0  frame 0                                
        TX packets 459479  bytes 208312949 (198.6 MiB)                                
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

em1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        ether 38:60:77:5a:06:8a  txqueuelen 1000  (Ethernet)
        RX packets 3220561  bytes 1043842781 (995.4 MiB)
        RX errors 0  dropped 1311  overruns 0  frame 0
        TX packets 526525  bytes 214901753 (204.9 MiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 20  memory 0xfe400000-fe420000  

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 6  bytes 492 (492.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 6  bytes 492 (492.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

virbr0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        inet 192.168.122.1  netmask 255.255.255.0  broadcast 192.168.122.255
        ether 52:54:00:9d:b1:cb  txqueuelen 0  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
Comment 2 gabriel 2015-12-21 05:53:57 EST
after updating the kernel, go worse
It seems to reject more packages

# uname -a
Linux jefatura-23.central.mds 4.2.7-200.fc22.x86_64 #1 SMP Thu Dec 10 03:28:47 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux



Dec 21 07:45:06 jefatura-23 kernel: net_ratelimit: 88 callbacks suppressed
Dec 21 07:45:06 jefatura-23 kernel: br0: received packet on em1 with own address as source address
...
Dec 21 07:45:27 jefatura-23 kernel: net_ratelimit: 64 callbacks suppressed
Dec 21 07:45:27 jefatura-23 kernel: br0: received packet on em1 with own address as source address
...
ec 21 07:45:38 jefatura-23 kernel: net_ratelimit: 69 callbacks suppressed
Dec 21 07:45:38 jefatura-23 kernel: br0: received packet on em1 with own address as source address
...
Dec 21 07:45:54 jefatura-23 kernel: net_ratelimit: 41 callbacks suppressed
Dec 21 07:45:54 jefatura-23 kernel: br0: received packet on em1 with own address as source address
...
Dec 21 07:46:00 jefatura-23 kernel: net_ratelimit: 40 callbacks suppressed
Dec 21 07:46:00 jefatura-23 kernel: br0: received packet on em1 with own address as source address
...
Comment 3 gabriel 2015-12-23 05:47:17 EST
disabling the daemon avahi the message was gone
apparently, loged packages were sent to the multicast address
by example:
(38:60:77:5a:06:8a is my MAC)
tcpdump -i em1 -e -nn | grep -i 38:60:77:5a:06:8a
13:45:23.155595 38:60:77:5a:06:8a > 01:00:5e:00:00:fb, ethertype IPv4 (0x0800), length 46: 10.1.6.23 > 224.0.0.251: igmp v2 report 224.0.0.251
Comment 4 Fedora End Of Life 2016-07-19 14:56:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.